# eric3.VCS.cvsPackage.LogoutDialog

Module implementing a dialog to enter the logout data for CVS.

### Classes

CvsLogoutDialog | Class implementing a dialog to enter the logout data for CVS.

### Functions

None

## CvsLogoutDialog

Class implementing a dialog to enter the logout data for CVS.

### Derived from

cvsLogoutForm

### Methods

CvsLogoutDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.

### CvsLogoutDialog (Constructor)

CvsLogoutDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

### CvsLogoutDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a tuple of 5 strings (protocol, username, remote hostname, remote port and repository).

Up